import 'package:flutter_test/flutter_test.dart';

import 'package:coding_buddy/coding_buddy.dart';

void main() {
  test("RSA", () async {
    var rsa = CBRSAService();
    var keyPair = await rsa.generateKeyPair();
    var data = "Hello World";

    // To convert string to key
    // PublicKey
    // var publicKey = helper.parsePublicKeyFromPem("""PublicKey String""");
    // PrivateKey
    // var privateKey = helper.parsePrivateKeyFromPem("""PrivateKey String""");


    var sign = rsa.signData(data, keyPair.privateKey);
    var verify = rsa.verifySign(data.codeUnits, sign, keyPair.publicKey);
    expect(verify, true);
  });
}
